Skip to main content
POST
/
projects
/
{project_name}
/
tables
/
storage
POST /projects/{project_name}/tables/storage
curl --request POST \
  --url https://api.cloudsquid.io/api/projects/{project_name}/tables/storage \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "name": "<string>",
  "document": {
    "mimetype": "application/pdf",
    "filename": "<string>",
    "file_type": "uri",
    "file": "<string>",
    "zero_retention_mode": true
  }
}
'

Authorizations

X-API-Key
string
header
required

Path Parameters

project_name
string
required

The name of the project

Body

application/json

Storage Table Configuration

name
string
required

name of the table

document
object
required

the document you want to upload to storage

Response

Successfully uploaded and stored assets